## kdesupport-2.1.tar.bz2

=== bsd-port/Makefile ===
# New ports collection makefile for:   kdesupport
# Version required:    1.0
# Date created:        3 May 1998
# Whom:                Alex Zepeda <garbanzo@hooked.net>
#
# $Id: Makefile,v 1.10 1998/06/24 18:39:55 bieker Exp $
#
PKGNAME=	kdesupport-`date "+%y%m%d"`
CATEGORIES=	misc kde

MAINTAINER=	garbanzo@hooked.net

INSTALL_ROOT=	${.CURDIR}/${PKGNAME}
BUILD_DEPENDS=	moc:${PORTSDIR}/x11/qt \
		autoconf:${PORTSDIR}/devel/autoconf \
		automake:${PORTSDIR}/devel/automake \
		gmake:${PORTSDIR}/devel/gmake
LIB_DEPENDS=	qt\\.1\\.3[0-9]:${PORTSDIR}/x11/qt133 \
		gif\\.[23]\\.:${PORTSDIR}/graphics/giflib \
		jpeg\\.9\\.:${PORTSDIR}/graphics/jpeg

USE_GMAKE=	"without a doubt"
NO_WRKDIR=	"Cause, you've obviously got the source in the parent directory"
WRKSRC=		../
NO_EXTRACT=	"yes, please"
HAS_CONFIGURE=	yes
CONFIGURE_ARGS=	"--prefix=$(PREFIX)" \
		"--enable-shared" \
		"--disable-static" \
		"--without-libgdbm" \
		"--without-libjpeg" \
		"--without-libgif" \
		"--with-mimelib" \
		"--with-libsprite-field"

CONFIGURE_ENV=	CXXFLAGS="$(CFLAGS)" \
		INSTALL_SCRIPT="install -c -m 555"
INSTALL_TARGET=	prefix=$(INSTALL_ROOT)$(PREFIX) install

.include "kde-snapshot.mk"
.include <bsd.port.mk>

=== debian/changelog ===
kdesupport (2.1-final-1) unstable; urgency=low
 
   * New upstream final
   * Upping standards version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Feb 2001 02:31:00 -0700

kdesupport (2.1-beta2-1) unstable; urgency=low
 
   * New upstream beta
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Jan 2001 06:10:00 -0700

kdesupport (2.1-20010119-1) unstable; urgency=low
 
   * More upstream fixes
   * libaps removed
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 19 Jan 2001 15:00:00 -0700

kdesupport (2.1-20010115-1) unstable; urgency=low
 
   * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Jan 2001 01:00:00 -0700

kdesupport (2.1-20010101-1) unstable; urgency=low
 
   * More upstream fixes
      
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Jan 2001 03:30:00 -0700

kdesupport (2.1-20001218-1) unstable; urgency=low
 
  * New i18n patches
  * Minor upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Dec 2000 23:30:00 -0700

kdesupport (2.1-20001213-2) unstable; urgency=low
 
  * Moving printer definitions to /usr/share/libaps and untaring them.
    /etc doesn't need another 5 megs worth of stuff...plus it's sharable to
    other systems/platforms and does nobody any use compressed.
  * Minor upstream fixes
  
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 16 Dec 2000 02:30:00 -0700

kdesupport (2.1-20001213-1) unstable; urgency=low
 
  * new upstream beta
  * Merging in libaps debian code
  * Changing libmime package to libmimelib to match library name
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 13 Dec 2000 14:30:00 -0700

kdesupport (4:2.0-final-3) unstable; urgency=low
 
  * more upstream fixes
  * build against new xlibs
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 23:00:00 -0700
                                                                                

kdesupport (4:2.0-final-0) unstable; urgency=low
 
  * KDE 2.0
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Oct 2000 00:00:00 -0700
                                                                                

kdesupport (4:2.0-20001016-0) unstable; urgency=low

  * more upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 16 Oct 2000 15:00:00 -0700

kdesupport (4:2.0-20001015-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 15 Oct 2000 20:00:00 -0700

kdesupport (4:2.0-20001013-0) unstable; urgency=low
 
  * More upstream fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 13 Oct 2000 23:30:00 -0700

kdesupport (4:2.0-20001011-0) unstable; urgency=low
 
  * KDE 2.0 RC2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 11 Oct 2000 05:00:00 -0700
                                                                                

kdesupport (4:2.0-20001005-0) unstable; urgency=low
 
  * More upstream fixes
  * No more libuulib as upstream has removed it from kdesupport
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Oct 2000 15:00:00 -0700
                                                                                

kdesupport (4:2.0-20001002-0) unstable; urgency=low
 
  * KDE 2.0 RC1
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 02 Oct 2000 01:30:00 -0700

kdesupport (4:2.0-20000925-2) unstable; urgency=low

  * More upstream fixes
  * Clean builld on new libc just to be safe

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 26 Sep 2000 17:30:00 -0700

kdesupport (4:2.0-20000925-0) unstable; urgency=low
 
  * More upstream fixes
  * Build-Depends cleanup
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 25 Sep 2000 15:30:00 -0700

kdesupport (4:2.0-20000923-0) unstable; urgency=low
 
  * More upstream fixes 
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Sep 2000 00:30:00 -0700

kdesupport (4:2.0-20000918-0) unstable; urgency=low
 
  * More upstream fixes (-beta5)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 17:30:00 -0700

kdesupport (4:2.0-20000906-0) unstable; urgency=low
 
  * Upstream updates
  * mimelib now GPL'd

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 06 Sep 2000 12:00:00 -0700

kdesupport (4:2.0-20000827-0) unstable; urgency=low
 
  * More upstream cleanup
  * Some package build cleanup as well
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 27 Aug 2000 19:30:00 -0700

kdesupport (4:2.0-20000824-0) unstable; urgency=low
 
  * KDE 2.0 beta 4
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 24 Aug 2000 18:30:00 -0700
                                                                                

kdesupport (4:2.0-20000816-1.0) experimental; urgency=low
 
  * New upstream beta version
  * Removing build instructions for libQwspritefield
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 16 Aug 2000 22:30:00 -0700

kdesupport-cvs (4:2.0-20000521-1.0) experimental; urgency=low
 
  * More CVS updates
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 21 May 2000 02:15:00 -0700

kdesupport-cvs (4:2.0-20000512-1.2) experimental; urgency=low

  * New upstream beta version
  * Turning on debugging

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 12 May 2000 22:00:00 -0700

kdesupport-cvs (4:2.0-20000403-1.0) experimental; urgency=low

  * New upstream CVS pull
  * adding in a --without-audiofile since libaudiofile is already a 
    Debian package

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 03 Apr 2000 06:00:00 -0700

kdesupport-cvs (4:2.0-20000308-1.0) experimental; urgency=low
 
  * New upstream CVS pull
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 08 Mar 2000 22:00:00 -0700

kdesupport-cvs (4:2.0-20000306-1.0) experimental; urgency=low
 
  * New upstream CVS pull
  * Build on new qt beta2
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 06 Mar 2000 03:00:00 -0700

kdesupport-cvs (4:2.0-20000302-1.0) experimental; urgency=low
 
  * New upstream CVS version
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Mar 2000 22:00:00 -0700

kdesupport-cvs (4:2.0-20000229-1.0) experimental; urgency=low



=== debian/control ===
Source: kdesupport
Build-Depends: autoconf, automake, libtool, debhelper
Section: libs
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Standards-Version: 3.5.0

Package: libmimelib1
Architecture: any
Section: libs
Replaces: kdesupport0g (<< 4:1.1.2-final-0), libmime1
Depends: ${shlibs:Depends}
Conflicts: kdesupport1g, kdesupport0g (<< 4:1.1.2-final-0), libmime1
Description: mime libraries needed for some KDE applications
 These libraries are used by several KDE applications

Package: libmimelib-dev
Architecture: any
Section: devel
Replaces: kdesupport0g-dev (<< 4:1.1.2-final-0), libmime-dev
Depends: libc6-dev, libmimelib1 (=${Source-Version})
Conflicts: kdesupport0g-dev (<< 4:1.1.2-final-0), kdesupport1-dev, kdesupport1-cvs-dev, libmime-dev
Description: mime library - development version
 These libraries are used by kde to handle mime types.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

SHELL=/bin/sh

BUILDDIR = $(shell pwd)

build: build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

build-stamp: 
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi
	./configure $(configkde) --enable-static  \
		--without-libjpeg --without-libgif --without-libgdbm  \
		--without-audiofile \
		--libdir=$(kde_libdir) --includedir=$(kde_includedir)

	make TOPSUBDIRS="mimelib"

	touch build-stamp

clean: debian-clean
	dh_clean
	-rm -f debian/debiandirs

debian-clean:
	dh_testdir
	-rm -f build-stamp
	if test -d CVS; then \
	  make -f admin/Makefile.common cvs-clean ;\
	fi
	-make distclean

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	make DESTDIR=`pwd`/debian/tmp install
	perl -w admin/debianrules cleanup
	dh_undocumented
	dh_movefiles
	dh_installdocs
	dh_installchangelogs -plibmimelib1 mimelib/Changes
	dh_installchangelogs -plibmimelib-dev mimelib/Changes
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
